Skip to main content
PATCH
cURL

Authorizations

Authorization
string
header
required

JWT Bearer token obtained from authentication. Pass as: Authorization: Bearer

Path Parameters

clientId
string
required

Existing clientId of the app to update

Minimum string length: 1

Body

application/json

Update an existing OAuth app (partial — only supplied fields change)

name
string
Required string length: 1 - 120
description
string | null
Maximum string length: 500
iconUrl
string<uri> | null
homepageUrl
string<uri> | null
privacyPolicyUrl
string<uri> | null
termsOfServiceUrl
string<uri> | null
redirectUris
string<uri>[]
Required array length: 1 - 20 elements
allowedScopes
string[]
Minimum array length: 1

Response

OK

Registered app summary

id
string
required
clientId
string
required
name
string
required
status
string
required

PENDING_REVIEW until Anima approves; APPROVED for production use

createdAt
string<date-time>
required